Package org.apache.maven.scm.provider.cvslib.command.changelog

## Class AbstractCvsChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand

All Implemented Interfaces:
  `ChangeLogCommand`, `Command`, `CvsCommand`

Direct Known Subclasses:
  `CvsExeChangeLogCommand`, `CvsJavaChangeLogCommand`

    public abstract class AbstractCvsChangeLogCommand
    extends AbstractChangeLogCommand
    implements CvsCommand

Author:
  Emmanuel Venisse , Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractCvsChangeLogCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addDateRangeParameter​(org.codehaus.plexus.util.cli.Commandline cl, java.lang.String dateRange)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, java.lang.String datePattern)`
`protected abstract ChangeLogScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl, java.util.Date startDate, java.util.Date endDate, ScmVersion startVersion, ScmVersion endVersion, java.lang.String datePattern)`
`protected java.lang.String` `getDateFormat()`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsChangeLogCommand

    public AbstractCvsChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         ScmVersion startVersion,
                                                         ScmVersion endVersion,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Overrides:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract ChangeLogScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl,
                                                            java.util.Date startDate,
                                                            java.util.Date endDate,
                                                            ScmVersion startVersion,
                                                            ScmVersion endVersion,
                                                            java.lang.String datePattern)
                                                     throws ScmException

Throws:
  `ScmException`

#### getDateFormat

    protected java.lang.String getDateFormat()

#### addDateRangeParameter

    protected void addDateRangeParameter​(org.codehaus.plexus.util.cli.Commandline cl,
                                         java.lang.String dateRange)